Update a source
curl --request PUT \
--url https://api.pipedream.com/v1/sources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"component_id": "<string>",
"component_code": "<string>",
"component_url": "<string>",
"name": "<string>",
"active": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_id: '<string>',
component_code: '<string>',
component_url: '<string>',
name: '<string>',
active: true
})
};
fetch('https://api.pipedream.com/v1/sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pipedream.com/v1/sources/{id}"
payload = {
"component_id": "<string>",
"component_code": "<string>",
"component_url": "<string>",
"name": "<string>",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://api.pipedream.com/v1/sources/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"component_id\": \"<string>\",\n \"component_code\": \"<string>\",\n \"component_url\": \"<string>\",\n \"name\": \"<string>\",\n \"active\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/sources/{id}"
payload := strings.NewReader("{\n \"component_id\": \"<string>\",\n \"component_code\": \"<string>\",\n \"component_url\": \"<string>\",\n \"name\": \"<string>\",\n \"active\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Update a source
PUT
/
sources
/
{id}
Update a source
curl --request PUT \
--url https://api.pipedream.com/v1/sources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"component_id": "<string>",
"component_code": "<string>",
"component_url": "<string>",
"name": "<string>",
"active": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_id: '<string>',
component_code: '<string>',
component_url: '<string>',
name: '<string>',
active: true
})
};
fetch('https://api.pipedream.com/v1/sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pipedream.com/v1/sources/{id}"
payload = {
"component_id": "<string>",
"component_code": "<string>",
"component_url": "<string>",
"name": "<string>",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://api.pipedream.com/v1/sources/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"component_id\": \"<string>\",\n \"component_code\": \"<string>\",\n \"component_url\": \"<string>\",\n \"name\": \"<string>\",\n \"active\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/sources/{id}"
payload := strings.NewReader("{\n \"component_id\": \"<string>\",\n \"component_code\": \"<string>\",\n \"component_url\": \"<string>\",\n \"name\": \"<string>\",\n \"active\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Endpoint
PUT /sources/{id}
Parameters
string
The ID of a component previously created in your account. See the component endpoints for information on how to retrieve this ID.
string
The full code for a Pipedream component.
string
A reference to the URL where the component is hosted.
https://github.com/PipedreamHQ/pipedream/blob/master/components/rss/sources/new-item-in-feed/new-item-in-feed.ts.
One of
component_id, component_code, or component_url is required. If all are present, component_id is preferred and component_url will be used only as metadata to identify the location of the code.
string
The name of the source.
boolean
The active state of a component. To disable a component, set to
false. To enable a component, set to true.Default: true.Was this page helpful?